/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2024  SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.velocitycore.listeners;

import com.velocitypowered.api.event.Subscribe;
import com.velocitypowered.api.event.connection.PostLoginEvent;
import de.steamwar.messages.Chatter;
import de.steamwar.sql.Event;
import de.steamwar.sql.Referee;
import de.steamwar.sql.TeamTeilnahme;

public class EventModeListener extends BasicListener {

    @Subscribe
    public void onPostLogin(PostLoginEvent e) {
        Chatter sender = Chatter.disconnect(e.getPlayer());

        Event event = Event.get();
        if(event == null) {
            sender.system("EVENTMODE_KICK");
            return;
        }

        if(TeamTeilnahme.nimmtTeil(sender.user().getTeam(), event.getEventID()))
            return;

        if(Referee.get(event.getEventID()).contains(sender.user().getId()))
            return;

        sender.system("EVENTMODE_KICK");
    }
}
